Package org.apache.juli

## Class VerbatimFormatter

- java.lang.Object
- - java.util.logging.Formatter
  - - org.apache.juli.VerbatimFormatter

    public class VerbatimFormatter
    extends java.util.logging.Formatter

Outputs the just the log message with no additional elements. Stack traces are not logged. Log messages are separated by `System.lineSeparator()`. This is intended for use by access logs and the like that need complete control over the output format.

### Constructor Summary

Constructors
`VerbatimFormatter()`

### Method Summary

All Methods Instance Methods Concrete Methods
`java.lang.String` `format​(java.util.logging.LogRecord record)`

### Methods inherited from class java.util.logging.Formatter

`formatMessage, getHead, getTail`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### VerbatimFormatter

    public VerbatimFormatter()

### Method Detail

#### format

    public java.lang.String format​(java.util.logging.LogRecord record)

Specified by:
  `format` in class `java.util.logging.Formatter`